//
//  ColorButton.swift
//  CommandDesignPattern
//
//  Created by Gabriel Theodoropoulos.
//  https://serialcoder.dev
//

import SwiftUI

struct ColorButtonsView: View {
    var body: some View {
        colorButton(color: .blue) {
            
        }
        colorButton(color: .pink) {
            
        }
        colorButton(color: .indigo) {
            
        }
        colorButton(color: .mint) {
            
        }
    }
    
    
    @ViewBuilder
    func colorButton(color: Color, action: @escaping () -> Void) -> some View {
        Button {
            action()
        } label: {
            color
        }
        .buttonStyle(.plain)
        .frame(width: 60, height: 24)
    }
}

struct ColorButton_Previews: PreviewProvider {
    static var previews: some View {
        ColorButtonsView()
    }
}
