//
//  ContentView.swift
//  CommandDesignPattern
//
//  Created by Gabriel Theodoropoulos.
//  https://serialcoder.dev
//

import SwiftUI

struct ContentView: View {
    var body: some View {
        ZStack {
            RoundedRectangle(cornerRadius: 5)
                .fill(.blue)
                .frame(width: 80, height: 80)
                .offset(x: 0, y: 0)
            
            VStack {
                Spacer()
                HStack {
                    ColorButtonsView()
                    Spacer()
                    MoveButtonsView()
                }
            }
            .padding(.bottom, 10)
            .padding(.horizontal)
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
