//
//  MoveButtons.swift
//  CommandDesignPattern
//
//  Created by Gabriel Theodoropoulos.
//  https://serialcoder.dev
//

import SwiftUI

struct MoveButtonsView: View {
    var body: some View {
        moveButton(title: "Up") {
            
        }
        moveButton(title: "Down") {
            
        }
        moveButton(title: "Left") {
            
        }
        moveButton(title: "Right") {
            
        }
    }
    
    
    @ViewBuilder
    func moveButton(title: String, action: @escaping () -> Void) -> some View {
        Button {
            action()
        } label: {
            Text(title)
        }
    }
}

struct MoveButtons_Previews: PreviewProvider {
    static var previews: some View {
        MoveButtonsView()
    }
}
